export interface MenuPermissionInfo {
    /**
     * 主键id
     */
    permissionId: string

    /**
     * 父id
     */
    pid: string

    /**
     * 菜单标题
     */
    permissionName: string

    /**
     * 路径
     */
    permissionUrl: string

    /**
     * 组件(前端vue组件)
     */
    permissionComponent: string

    /**
     * 是否路由菜单: 0:不是  1:是（默认值1）
     */
    permissionHasRoute: number

    /**
     * 组件名字
     */
    permissionComponentName: string

    /**
     * 跳转地址
     */
    permissionRedirect: string

    /**
     * 菜单类型(0:一级菜单; 1:子菜单:2:按钮权限)
     */
    permissionType: string

    /**
     * 菜单权限编码
     */
    permissionCode: string

    /**
     * 权限策略1显示2禁用
     */
    permsType: number

    /**
     * 菜单图标
     */
    permissionIcon: string

    /**
     * 是否缓存该页面:    1:是   0:不是
     */
    keepAlive: number

    /**
     * 是否隐藏路由: 0否,1是
     */
    hidden: number

    /**
     * 是否隐藏tab: 0否,1是
     */
    hideTab: number

    /**
     * 显示排序
     */
    sequence: number

    /**
     * 描述
     */
    permissionDes: string

    /**
     * 外链菜单打开方式 0/内部打开 1/外部打开
     */
    internalOrExternal: number

    /**
     * 创建时间
     */
    createTime: string

    /**
     * 修改时间
     */
    updateTime: string

    /**
     * 创建者
     */
    createBy: string

    /**
     * 修改者
     */
    updateBy: string

    /**
     * 部门编码
     */
    orgCode: string
}


type Exc = 'createTime' | 'updateTime' | 'createBy' | 'updateBy' | 'permissionId'
export type MenuPermissionDto = Omit<MenuPermissionInfo, Exc>
