import type { Dayjs } from "dayjs"

export interface UserInfo {
  /*主键id */
  userId: number | string

  /*登录账号 */
  userName: string

  /*真实姓名 */
  userRealName: string

  /*密码 */
  userPassword: string

  /*头像 */
  userAvatar: string

  /*生日 */
  userBirthday: Record<string, unknown> | string | Dayjs

  /*性别(0-默认未知,1-男,2-女) */
  userSex: number

  /*电子邮件 */
  userEmail: string

  /*电话 */
  userPhone: string

  /*工号，唯一键 */
  userWorkNo: string

  /*身份（1普通成员 2上级） */
  userIdentity: number

  /*创建时间 */
  createTime: Record<string, unknown> | string

  /*修改时间 */
  updateTime: Record<string, unknown> | string

  /*创建者 */
  createBy: string

  /*修改者 */
  updateBy: string

  /*部门编码 */
  orgCode: string

  /*假删除标记(-1已删除) */
  deleted: number
}

export type getAllUserList = UserInfo[]
