import { createApp } from 'vue'
import '@/assets/main.css'
import 'vxe-table/lib/style.css'
// register svgIcon
import 'virtual:svg-icons-register'

import { router, setupRouter } from './router'
import { setupStore } from './stores'
import { setupRouterGuard } from './router/guard'
import { setupGlobalComponents } from './components/registerGlobalComponents'


import App from './App.vue'

function bootstrap() {
  const app = createApp(App)

  // 初始化 Store
  setupStore(app)

  // 初始化路由
  setupRouter(app)

  // router-guard
  // 路由守卫
  setupRouterGuard(router)

  setupGlobalComponents(app)

  app.mount('#app')
}

bootstrap()
